Skip to navigation

Bug Fix Advisory nspluginwrapper bug fix update

Advisory: RHBA-2010:0445-1
Type: Bug Fix Advisory
Severity: N/A
Issued on: 2010-05-27
Last updated on: 2010-05-27
Affected Products: Red Hat Enterprise Linux (v. 5 server)
Red Hat Enterprise Linux Desktop (v. 5 client)

Details

An updated nspluginwrapper package that fixes a bug is now available.

nspluginwrapper is a utility which allows 32-bit plug-ins to run in a 64-bit
browser environment (a common example is Adobe's browser plug-in for presenting
proprietary Flash files embedded in web pages). It includes the plug-in viewer
and a tool for managing plug-in installations and updates.

This updated nspluginwrapper package fixes the following bug:

* the "spice-xpi" package provides a Firefox plugin that allows for the
graphical administration of a KVM virtual machine over the SPICE protocol within
the browser. However, the nspluginwrapper compatibility wrapper for plugins
caused the Firefox plugin not to be able to open a SPICE session. This update
instructs nspluginwrapper to ignore the Firefox SPICE plugin so that it works as
expected. (BZ#575058)

All users of nspluginwrapper are advised to upgrade to this updated package,
which resolves this issue.


Solution

Before applying this update, make sure all previously-released errata
relevant to your system have been applied.

This update is available via the Red Hat Network. Details on how to
use the Red Hat Network to apply this update are available at
http://kbase.redhat.com/faq/docs/DOC-11259

Updated packages

Red Hat Enterprise Linux (v. 5 server)

SRPMS:
nspluginwrapper-1.3.0-9.el5.src.rpm     MD5: 857e78ef9c3c91f047ea887b2518a02a
SHA-256: 58f71812351beff4a31c24b1c6c0d2bee6caa5fffe9b4edc651a8648294d8cda
 
IA-32:
nspluginwrapper-1.3.0-9.el5.i386.rpm     MD5: 2b31a6ef99a85d51d553a92ad7cfd381
SHA-256: 82ec890f960dffa67310bfea17d925fa93474278d2c26f85132d1e4198d0be62
 
PPC:
nspluginwrapper-1.3.0-9.el5.ppc.rpm     MD5: d2641947716cc98baff7e3ae5febcc26
SHA-256: c6dfcbb0bbff65a5912f00856874185ff239f5898962bae9dcfe7960049f66da
 
x86_64:
nspluginwrapper-1.3.0-9.el5.i386.rpm     MD5: 2b31a6ef99a85d51d553a92ad7cfd381
SHA-256: 82ec890f960dffa67310bfea17d925fa93474278d2c26f85132d1e4198d0be62
nspluginwrapper-1.3.0-9.el5.x86_64.rpm     MD5: 468e49f70266dbbfa629c19d608980fd
SHA-256: 2a232405f115938defdf41a50eb83cabe118246a9d1ffdfb917b5777afc460ab
 
Red Hat Enterprise Linux Desktop (v. 5 client)

SRPMS:
nspluginwrapper-1.3.0-9.el5.src.rpm     MD5: 857e78ef9c3c91f047ea887b2518a02a
SHA-256: 58f71812351beff4a31c24b1c6c0d2bee6caa5fffe9b4edc651a8648294d8cda
 
IA-32:
nspluginwrapper-1.3.0-9.el5.i386.rpm     MD5: 2b31a6ef99a85d51d553a92ad7cfd381
SHA-256: 82ec890f960dffa67310bfea17d925fa93474278d2c26f85132d1e4198d0be62
 
x86_64:
nspluginwrapper-1.3.0-9.el5.i386.rpm     MD5: 2b31a6ef99a85d51d553a92ad7cfd381
SHA-256: 82ec890f960dffa67310bfea17d925fa93474278d2c26f85132d1e4198d0be62
nspluginwrapper-1.3.0-9.el5.x86_64.rpm     MD5: 468e49f70266dbbfa629c19d608980fd
SHA-256: 2a232405f115938defdf41a50eb83cabe118246a9d1ffdfb917b5777afc460ab
 
(The unlinked packages above are only available from the Red Hat Network)

Bugs fixed (see bugzilla for more information)

575058 - nspluginwrapper should blocklist spice-xpi



These packages are GPG signed by Red Hat for security. Our key and details on how to verify the signature are available from:
https://www.redhat.com/security/team/key/#package

The Red Hat security contact is secalert@redhat.com. More contact details at http://www.redhat.com/security/team/contact/